# PhingReference

Extends \Reference

Helper class that implements the nested <reference> element of <phing> and <phingcall>.

package | phing.tasks.system

### Methods

## __construct

    __construct(string $id = null)

inherited

### Arguments

#### $id

`string`

## returns reference to object in references container of project

    getReferencedObject(\Project $project) : \Reference

inherited

throws |

### Arguments

#### $project

`\Project`

### Response

`\Reference`

## getRefId

    getRefId() : string

inherited

### Response

`string`

## Get the id under which this reference will be stored in the new project

    getToRefid() : \the

### Response

`\the`

id of the reference in the new project.

## setRefId

    setRefId( $id)

inherited

### Arguments

#### $id

``

### Properties

## targetid

    targetid :

### Type(s)

``

## refid

    refid : string

inherited

var |

### Type(s)

`string`